---
title: Backend local development
---

# Backend local development

Follow these steps to setup the backend for local development.

1. Ensure you have PHP 8.1 installed on your computer
   - On MacOS you can install with brew by running `brew install php@8.1`
   - To switch PHP versions see https://localheinz.com/blog/2020/05/05/switching-between-php-versions-when-using-homebrew/
1. Ensure you have Docker installed on your computer
   - https://www.docker.com/products/docker-desktop/
1. Ensure you have Composer installed on your computer
   - https://getcomposer.org/doc/00-intro.md#installation-linux-unix-macos
1. Clone https://gitlab.com/plush.bike/backend
1. Run `composer install`
1. Run `cp .env.example .env`
   - Setup email with [mailtrap](https://mailtrap.io/)
1. Run `./vendor/bin/sail up`
   - See [Laravel Sail](https://laravel.com/docs/9.x/sail#introduction) for more information
1. Run `./vendor/bin/sail artisan key:generate`
1. Edit your hosts file by running `sudo nano /etc/hosts`
   - Add `127.0.0.1 api.plush.test` and `127.0.0.1 plush.test`
1. Run `./vendor/bin/sail migrate:fresh`
1. Run `./vendor/bin/sail artisan db:seed --class=ManufacturerSeeder` to seed the manufacutrers
1. Navigate to http://api.plush.test/graphql-playground to verify everything is working as expected.
